Uses of Class
org.opencastproject.util.requests.SortCriterion
Packages that use SortCriterion
Package
Description
-
Uses of SortCriterion in org.opencastproject.index.service.util
Methods in org.opencastproject.index.service.util that return types with arguments of type SortCriterionModifier and TypeMethodDescriptionstatic ArrayList<SortCriterion> RestUtils.parseSortQueryParameter(String sort) Parse a sort query parameter to a set ofSortCriterion. -
Uses of SortCriterion in org.opencastproject.lifecyclemanagement.api
Methods in org.opencastproject.lifecyclemanagement.api with parameters of type SortCriterionModifier and TypeMethodDescriptionLifeCycleDatabaseService.getLifeCyclePolicies(int limit, int offset, SortCriterion sortCriterion) Get several life cycle policies based on their order in the databaseLifeCycleService.getLifeCyclePolicies(int limit, int offset, SortCriterion sortCriterion) Get multiple life cycle policies from the database -
Uses of SortCriterion in org.opencastproject.lifecyclemanagement.impl
Methods in org.opencastproject.lifecyclemanagement.impl with parameters of type SortCriterionModifier and TypeMethodDescriptionLifeCycleServiceImpl.getLifeCyclePolicies(int limit, int offset, SortCriterion sortCriterion) Get multiple life cycle policies from the database -
Uses of SortCriterion in org.opencastproject.lifecyclemanagement.impl.persistence
Methods in org.opencastproject.lifecyclemanagement.impl.persistence with parameters of type SortCriterionModifier and TypeMethodDescriptionLifeCycleDatabaseServiceImpl.getLifeCyclePolicies(int limit, int offset, SortCriterion sortCriterion) Get several life cycle policies based on their order in the database -
Uses of SortCriterion in org.opencastproject.playlists
Methods in org.opencastproject.playlists with parameters of type SortCriterionModifier and TypeMethodDescriptionPlaylistService.getPlaylists(int limit, int offset, SortCriterion sortCriterion) -
Uses of SortCriterion in org.opencastproject.playlists.persistence
Methods in org.opencastproject.playlists.persistence with parameters of type SortCriterionModifier and TypeMethodDescriptionPlaylistDatabaseService.getPlaylists(int limit, int offset, SortCriterion sortCriterion) Get several playlists based on their order in the databasePlaylistDatabaseServiceImpl.getPlaylists(int limit, int offset, SortCriterion sortCriterion) Get several playlists based on their order in the database -
Uses of SortCriterion in org.opencastproject.themes
Method parameters in org.opencastproject.themes with type arguments of type SortCriterion -
Uses of SortCriterion in org.opencastproject.themes.persistence
Method parameters in org.opencastproject.themes.persistence with type arguments of type SortCriterion -
Uses of SortCriterion in org.opencastproject.userdirectory
Method parameters in org.opencastproject.userdirectory with type arguments of type SortCriterionModifier and TypeMethodDescriptionUserDirectoryPersistenceUtil.findGroupsQuery(String orgId, Optional<Integer> limit, Optional<Integer> offset, Optional<String> nameFilter, Optional<String> roleFilter, Optional<String> textFilter, ArrayList<SortCriterion> sortCriteria) Get group list by criteria.JpaGroupRoleProvider.getGroups(Optional<Integer> limit, Optional<Integer> offset, Optional<String> nameFilter, Optional<String> roleFilter, Optional<String> textFilter, ArrayList<SortCriterion> sortCriteria) Get groups by the defined filter and sorting criteria. -
Uses of SortCriterion in org.opencastproject.util.requests
Methods in org.opencastproject.util.requests that return SortCriterionModifier and TypeMethodDescriptionstatic SortCriterionParse a string representation of a sort criterion.